### Method

# AppStream Component get_language

since: 0.7.0

#### Declaration [src]

    gint
    as_component_get_language (
      AsComponent* cpt,
      const gchar* locale
    )

#### Description [src]

Gets the translation coverage in percent for a specific locale.

Available since: 0.7.0

#### Parameters

`locale`

  Type: `const gchar*`

  The BCP47 locale, or `NULL`. e.g. “en-GB”.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

A percentage value, -1 if locale was not found.